
Infrastructure - Task #1528

Story # 725 (In Progress): Create Authentication and Access control design specifications

Add updateAccount() method allowing for changes in account attributes

2011-05-06 18:09 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-10 18:30 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

- Status changed from New to In Progress

What is the policy for allowing updates?

-Can the person update their own details?

-Can an administrator?

-If the person updates their information, does it need to be [re]verified by an administrator?

#2 - 2011-05-10 19:03 - Ben Leinfelder

- % Done changed from 0 to 50

The method is in the docs now, but I'm not sure about a couple things:

-what the REST path should be

-if there are any other fields that should remain un-editable (I've stated that the Persons Principal cannot be edited).

#3 - 2011-06-08 22:36 - Ben Leinfelder

- Status changed from In Progress to Closed

#4 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#5 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#6 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#7 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1
#8 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#9 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#10 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#11 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#12 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
